package global

import (
	"github.com/go-logr/logr"
	"gorm.io/gorm"
)

var Log logr.Logger

// 定义数据库指针
var DB *gorm.DB

type JWTConfig struct {
	SigningKey string `mapstructure:"key" json:"key"`
}

// JWT 签名密钥
var JWT = JWTConfig{
	SigningKey: "abcdefghijklmnopqrstuvwxyz",
}
